metadata:
  id: pinchflat
  name:
    en: Pinchflat
  version: 0.1.0
  displayVersion: 2025.1.27
  category:
    af: Media
    ar: وسائط
    ca: Medis
    cs: Media
    da: Media
    de: Medien
    el: Πολυμέσα
    en: Media
    es: Multimedia
    fi: Media
    fr: Médias
    he: Media
    hu: Média
    it: Media
    ja: メディア
    ko: 미디어
    nl: Media
    no: Media
    pl: Media
    pt: Multimédia
    ro: Media
    ru: Медиа
    sr: Media
    sv: Medier
    tr: Medya
    uk: Медіа
    vi: Phương tiện truyền thông
    zh: 媒體
  tagline:
    en: Your next YouTube media manager
  developers: {}
  description:
    en: Your next YouTube media manager
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  exposesPermissions: []
  repos:
    Source code: https://github.com/kieraneglin/pinchflat
  support: ''
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/pinchflat/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  settings:
    PINCHFLAT_BASIC_AUTH_PASSWORD:
      type: String
      name:
        en: Basic Auth Password
      description:
        en: ''
      default: null
      max_len: null
      string_type: password
      required: false
      placeholder:
        en: password1234
    PINCHFLAT_BASIC_AUTH_USERNAME:
      type: String
      name:
        en: Basic Auth Username
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: false
      placeholder:
        en: admin
  volumes:
    data:
      minimum_size: 1073741824
      recommended_size: 5368709120
      name:
        en: App data
      description:
        en: All data generated by the app
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: !MainVolumeFromSubdir data
containers:
  pinchflat: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        BASIC_AUTH_PASSWORD: !StringLike ''
        BASIC_AUTH_USERNAME: !StringLike ''
      hostname: null
      image: keglin/pinchflat:v2025.1.27
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Host
        name: etc-localtime
        host_path: /etc/localtime
        mount_path: /etc/localtime
        is_readonly: false
      - !Longhorn
        name: data
        mount_path: /config
        sub_path: data/config
        is_readonly: false
        from_app: null
        from_ns: null
      - !Longhorn
        name: data
        mount_path: /downloads
        sub_path: data/downloads
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  pinchflat:
    target_container: pinchflat
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  pinchflat-nirvati-ingress:
    target_container: pinchflat
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        8945: 8945
    cluster_ip: null
    network_policy: null
ingress:
- target_service: pinchflat-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 8945
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
